> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a location

> Create a location

### Request body

`CreateLocationRequest`

<ParamField body="aisle" type="string,null" />

<ParamField body="bin" type="string,null" />

<ParamField body="code" type="string,null" />

<ParamField body="is_pickable" type="boolean,null" />

<ParamField body="is_receivable" type="boolean,null" />

<ParamField body="level" type="string,null" />

<ParamField body="location_type" type="string,null">
  One of `bulk`, `pick`, `staging`, `receiving`, `shipping`, `quarantine`,
  `returns`, `production`, `packing`, `cross_dock`.
</ParamField>

<ParamField body="max_volume_m3" type="string,null">
  Decimal maximum volume (m3) as a string.
</ParamField>

<ParamField body="max_weight_kg" type="string,null">
  Decimal maximum weight (kg) as a string.
</ParamField>

<ParamField body="rack" type="string,null" />

<ParamField body="warehouse_id" type="integer (int32)" required />

<ParamField body="zone" type="string,null" />

### Responses

<ResponseField name="201" type="LocationResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/warehouse-locations' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "aisle": null,
    "bin": null,
    "code": null,
    "is_pickable": null,
    "is_receivable": null,
    "level": null,
    "location_type": null,
    "max_volume_m3": null,
    "max_weight_kg": null,
    "rack": null,
    "warehouse_id": 1,
    "zone": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "aisle": null,
    "bin": null,
    "code": "string",
    "created_at": "string",
    "id": 1,
    "is_active": true,
    "is_pickable": true,
    "is_receivable": true,
    "level": null,
    "location_type": "string",
    "rack": null,
    "warehouse_id": 1,
    "zone": null
  }
  ```
</ResponseExample>
